%     Label the connected pixel components in the text.png image, compute
%     their centroids, and superimpose the centroid locations on the
%     image.
 
bw = imread('labeling.bmp');
bw = ~bw;
L = bwlabel(bw);
s  = regionprops(L, 'centroid');
centroids = cat(1, s.Centroid);
imshow(bw)
hold on
plot(centroids(:,1), centroids(:,2), 'm*')
hold off