%Calcul propriatati statistice: histograma, FDP, medie, deviatie standard

%citeste imagine bitmap din fisier cameraman.bmp
I=imread('cameraman.bmp','BMP');
ColorDepth=256;

[height,width]=size(I);
M=height*width;

%calcul histogrma
[h,x] = imhist(I,ColorDepth);
%afuisare histograma
figure(1); imhist(I,ColorDepth)

%calcul FDP
p = h / M;
%afisare FDP cu functia stem
figure(2);stem(x,p);

%afisare hitograma cu functia plot
figure(3); hold on; grid on; plot(h,'k-');hold off;

%filtrare histograma cu filtru median
h=medfilt1(h,10);
%afisare hitograma cu functia plot
figure(4); hold on; grid on; plot(h,'k-');hold off;

%calcul intensitate medie intenistati
medie = mean2(I)
%calcul deviatie standard
std_dev = std2(I)

