function T=hist_threshold(I);
% Compute binary trashold using the "The global adaptive trashold method"
%reliable only on images with bimodal histograms (op=1). Otherwise image mean should be used (op=2)

[height,width]=size(I);
M=height*width;
% figure;imshow(I);
ColorDepth=256;

[h,x] = imhist(I,ColorDepth);

% T=mean2(I);
T=(max(max(double(I)))+min(min(double(I))))/2;

Te=0.5;
dT=256;
i=0;

while dT > Te,
%     i=i+1;
    To=round(T);
    m1=0; m2=0; 
    
    nr_pix=0;
        for z=1:To,
        nr_pix=nr_pix+h(z);
        m1=m1+z*h(z);
    end
    m1=m1/nr_pix;
    
    nr_pix=0;
    for z=To+1:ColorDepth,
        nr_pix=nr_pix+h(z);
        m2=m2+z*h(z);
    end
    m2=m2/nr_pix;
    
    T=(m1+m2)/2;
    dT=abs(To-T);
    
end

T=round(T);